package me.unurled.raxen.components.clientbuild;

import java.time.Instant;
import java.util.ArrayList;
import java.util.UUID;
import org.bukkit.Location;
import org.bukkit.block.Block;

public class Builds {

    private Instant start;
    private Instant end;
    private Location startLocation;
    private UUID owner;

    private ArrayList<Block> blocks = new ArrayList<>();

    public Builds(Location startLocation, UUID owner) {
        start = Instant.now();
        this.startLocation = startLocation;
        this.owner = owner;
    }

    public Instant getEnd() {
        return end;
    }

    public void setEnd(Instant end) {
        this.end = end;
    }

    public Location getStartLocation() {
        return startLocation;
    }

    public UUID getOwner() {
        return owner;
    }

    public ArrayList<Block> getBlocks() {
        return blocks;
    }

    public void setBlocks(ArrayList<Block> blocks) {
        this.blocks = blocks;
    }

    public void addBlock(Block block) {
        blocks.add(block);
    }

    public void removeBlock(Block block) {
        blocks.remove(block);
    }
}
