package me.unurled.raxen.components.entity.other.custom.dungeon.forest;

import lombok.Getter;
import me.unurled.raxen.Raxen;
import me.unurled.raxen.components.entity.other.RaxenEntity;
import org.bukkit.Location;
import org.bukkit.entity.Entity;

public class Wolf extends RaxenEntity {

    @Getter
    private final String name;

    public Wolf(
        Raxen main,
        String name,
        Integer level,
        Double health,
        Double strength
    ) {
        super(main, name, "elf", level, health, strength);
        this.name = name;
    }

    public Wolf(Raxen main) {
        super(main, "Wolf", "elf", 5, 100.0, 20.0);
        this.name = "Wolf";
    }

    @Override
    public Entity createEntity(Location location) {
        return null;
    }
}
