package me.unurled.raxen.components.items.custom;

import lombok.Getter;
import me.unurled.raxen.Raxen;
import org.bukkit.inventory.ItemStack;
import org.jetbrains.annotations.NotNull;

public abstract class Item {

    @Getter
    ItemStack item;

    String NAME;
    String ID;

    ItemClass ITEM_CLASS;
    ItemTypes ITEM_TYPES;

    protected Item() {
        this.item = buildItem();
    }

    public abstract ItemStack buildItem();

    /**
     * need item to be set before calling this method.
     */
    public void registerItem(@NotNull Raxen main) {
        item = buildItem();
        main.getManager().getItemManager().registerItem(item);
    }
}
