package me.unurled.raxen.listener.player;

import java.util.Set;
import me.unurled.raxen.Raxen;
import org.bukkit.GameMode;
import org.bukkit.Material;
import org.bukkit.block.Block;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.Action;
import org.bukkit.event.player.PlayerAnimationEvent;
import org.bukkit.event.player.PlayerAnimationType;
import org.bukkit.event.player.PlayerInteractEntityEvent;
import org.bukkit.event.player.PlayerInteractEvent;

public class SpellsEvent implements Listener {

    Raxen main;

    public SpellsEvent(Raxen main) {
        this.main = main;
    }

    @EventHandler
    public void onSpellClickOnEntity(PlayerInteractEntityEvent event) {
        Player p = event.getPlayer();
        main.getManager().getSpellManager().click(p, false);
    }

    @EventHandler
    public void event(PlayerAnimationEvent event) {
        Block focused = event.getPlayer().getTargetBlock((Set<Material>) null, 5);
        if (event.getAnimationType() == PlayerAnimationType.ARM_SWING
            && focused.getType() != Material.AIR
            && event.getPlayer().getGameMode() == GameMode.ADVENTURE) {
            main.getManager().getSpellManager().click(event.getPlayer(), true);
        }
    }

    @EventHandler
    public void onSpellClicks(PlayerInteractEvent event) {
        Player p = event.getPlayer();
        if (event.getAction() == Action.LEFT_CLICK_AIR
            || event.getAction() == Action.LEFT_CLICK_BLOCK) {
            main.getManager().getSpellManager().click(p, true);
        } else if (event.getAction() == Action.RIGHT_CLICK_AIR
            || event.getAction() == Action.RIGHT_CLICK_BLOCK) {
            main.getManager().getSpellManager().click(p, false);
        }
    }

}
