package me.unurled.raxen.listener.player;

import me.unurled.raxen.Raxen;
import me.unurled.raxen.components.entity.player.Scoreboard;
import me.unurled.raxen.utils.libs.Vault;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;

public class TransactionEvent implements Listener {

    private Raxen main;
    private Scoreboard scoreboard;
    private Vault vault;

    public TransactionEvent(Raxen main) {
        this.main = main;
        this.scoreboard = new Scoreboard(main);
        this.vault = main.getManager().getLibsManager().getVault();
    }

    /**
     * set scoreboard when money changes
     * @param e
     */
    @EventHandler
    public void transaction(net.essentialsx.api.v2.events.TransactionEvent e) {
        Player player = Bukkit.getPlayer(e.getTarget().getName());
        Player source = e.getRequester().getPlayer();
        scoreboard.updateScoreboardTransaction(player);
        scoreboard.updateScoreboardTransaction(source);
    }
}
