package me.unurled.raxen.components.dungeons.types.forest;

import lombok.Getter;
import me.unurled.raxen.components.dungeons.types.MonsterType;
import me.unurled.raxen.components.entity.other.custom.dungeon.forest.Elf;
import me.unurled.raxen.components.entity.other.custom.dungeon.forest.Wolf;

public class ForestMonster extends MonsterType {

    @Getter
    enum type {
        ELF(50.0, "ELF", Elf.class),
        WOLF(50.0, "WOLF", Wolf.class);

        private Double rate;
        public String ID;
        public Class clazz;

        type(Double rate, String ID, Class clazz) {
            this.rate = rate;
            this.ID = ID;
            this.clazz = clazz;
        }
    }
}
