package me.unurled.raxen.components.entity.other;

import java.util.ArrayList;
import net.minecraft.world.entity.Entity;
import org.bukkit.inventory.ItemStack;

public class MobType {

    public String identifier;
    public String name;
    public Class<? extends Entity> entityClass;
    public int level;
    public ArrayList<String> prefixes;
    public ArrayList<String> suffix;
    public long xp;
    public ArrayList<ItemStack> equips;
    // TODO: public ArrayList<MobAttributes> attributes;
    public boolean hasSkull = false;
    public ItemStack offHand;

    public int getTier() {
        if (level >= 80) {
            return 5;
        } else if (level >= 60) {
            return 4;
        } else if (level >= 40) {
            return 3;
        } else if (level >= 20) {
            return 2;
        } else {
            return 1;
        }
    }

}
