package me.unurled.raxen.components.entity.other.custom.dungeon.forest;

import lombok.Getter;
import me.unurled.raxen.Raxen;
import me.unurled.raxen.components.entity.other.RaxenEntity;
import org.bukkit.Location;
import org.bukkit.entity.Entity;

public class Elf extends RaxenEntity {

    @Getter
    private final String name;
    private final String id = "elf";

    public Elf(
        Raxen main,
        String name,
        Integer level,
        Double health,
        Double strength
    ) {
        super(main, name, "elf", level, health, strength);
        this.name = name;
    }

    /**
     * Elf Default values
     *
     * @param main the main instance
     * @param name
     */
    public Elf(Raxen main, String name) {
        super(main, "Elf", "elf", 10, 120.0, 25.0);
        this.name = name;
    }

    @Override
    public Entity createEntity(Location location) {
        return null;
    }
}
