package me.unurled.raxen.components.lootchest.loots;

import de.tr7zw.nbtapi.NBTItem;
import java.util.HashMap;
import me.unurled.raxen.Raxen;
import me.unurled.raxen.components.items.NBTNames;
import org.bukkit.Location;
import org.bukkit.inventory.ItemStack;

public class CustomLoot {

    private Raxen main;

    public HashMap<String, ItemStack> itlist;

    public ItemStack item;
    public Double drop_rate;
    public LootItem lootItem;
    public String ID;

    public LootItem getLootItem() {
        return new LootItem(registerItem(), drop_rate);
    }

    public ItemStack registerItem() {
        return itlist.get(ID);
    }

    public Double getDrop_rate() {
        NBTItem nbti = new NBTItem(item);
        if (nbti.hasTag(NBTNames.DROP_RATE)) {
            return nbti.getDouble(NBTNames.DROP_RATE);
        }
        return 0.0;
    }

    public void tryDropLoot(Location location) {
        for (LootItem item : main
            .getManager()
            .getLootManager()
            .getLootTable()) {
            item.tryDropItem(location);
        }
    }
}
