package me.unurled.raxen.manager.server;

import java.util.HashMap;
import me.unurled.raxen.Raxen;
import me.unurled.raxen.components.dungeons.Dungeon;
import me.unurled.raxen.components.dungeons.Gate;
import me.unurled.raxen.components.dungeons.types.forest.ForestDungeon;
import org.bukkit.Location;

public class DungeonsManager {

    private Raxen main;

    private HashMap<Gate, Location> gates = new HashMap<>();

    private HashMap<Gate, Dungeon> dungeons = new HashMap<>();

    public DungeonsManager(Raxen main) {
        this.main = main;
        registerDungeons();
    }

    /**
     * register/add all made dungeon to the available plugin list
     */
    public void registerDungeons() {
        ForestDungeon forestDungeon = new ForestDungeon();
        dungeons.put(forestDungeon.getGate(), forestDungeon);
        gates.put(forestDungeon.getGate(), forestDungeon.getGate().getLoc());
        /*
        for (String s : dungeons.keySet()) {
            main.getManager().getWorldManager().loadWorld(dungeons.get(s).getName());
        }
         */
    }

    public HashMap<Gate, Location> getGates() {
        return gates;
    }
}
